package com.antai.sport.http.server.repository.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author liming
 * @since 2022-04-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class PraiseLog implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 点赞类型 10:漫游 20:日常赛 30:系列赛 40:训练模式 50: 团练
     */
    private Integer type;

    /**
     * 源头数据id 比如漫游记录id 比赛赛事id 团练活动id等
     */
    private Long sourceId;

    /**
     * 点赞用户id
     */
    private Long from;

    /**
     * 被点赞用户
     */
    private Long to;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;


}
